Bug 963547 - fileconflicts failure on 19 Beta RC1 DVDs (kde-l10n-Serbian with other packages)
Summary: fileconflicts failure on 19 Beta RC1 DVDs (kde-l10n-Serbian with other packages)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-l10n
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F19Beta, F19BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-05-16 06:38 UTC by Andre Robatino
Modified: 2013-05-26 03:37 UTC (History)
6 users (show)

Fixed In Version: kde-l10n-4.10.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-22 01:58:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Andre Robatino 2013-05-16 06:38:20 UTC
Description of problem:
From running https://fedoraproject.org/wiki/QA:Testcase_Mediakit_FileConflicts on the 19 Beta RC1 DVDs:

i386:

== File conflicts, listed by conflicting packages ==
1:k3b-libs-2.0.2-16.fc19.i686
kde-l10n-Serbian-4.10.3-1.fc19.noarch
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/libk3b.mo
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/libk3bdevice.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/libk3b.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/libk3bdevice.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/libk3b.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/libk3bdevice.mo

kde-l10n-Serbian-4.10.3-1.fc19.noarch
ktorrent-4.3.1-2.fc19.i686
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/ktorrent.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/ktorrent.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/ktorrent.mo

kde-l10n-Serbian-4.10.3-1.fc19.noarch
konversation-1.4-5.fc19.i686
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/konversation.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/konversation.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/konversation.mo

bluedevil-1.3-2.fc19.i686
kde-l10n-Serbian-4.10.3-1.fc19.noarch
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/bluedevil.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/bluedevil.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/bluedevil.mo

1:k3b-common-2.0.2-16.fc19.noarch
kde-l10n-Serbian-4.10.3-1.fc19.noarch
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/k3b.mo
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/kio_videodvd.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/k3b.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kio_videodvd.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/k3b.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/kio_videodvd.mo

x86_64:

== File conflicts, listed by conflicting packages ==
1:k3b-libs-2.0.2-16.fc19.x86_64
kde-l10n-Serbian-4.10.3-1.fc19.noarch
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/libk3b.mo
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/libk3bdevice.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/libk3b.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/libk3bdevice.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/libk3b.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/libk3bdevice.mo

bluedevil-1.3-2.fc19.x86_64
kde-l10n-Serbian-4.10.3-1.fc19.noarch
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/bluedevil.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/bluedevil.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/bluedevil.mo

kde-l10n-Serbian-4.10.3-1.fc19.noarch
konversation-1.4-5.fc19.x86_64
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/konversation.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/konversation.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/konversation.mo

kde-l10n-Serbian-4.10.3-1.fc19.noarch
ktorrent-4.3.1-2.fc19.x86_64
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/ktorrent.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/ktorrent.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/ktorrent.mo

1:k3b-common-2.0.2-16.fc19.noarch
kde-l10n-Serbian-4.10.3-1.fc19.noarch
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/k3b.mo
  /usr/share/locale/sr@ijekavian/LC_MESSAGES/kio_videodvd.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/k3b.mo
  /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kio_videodvd.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/k3b.mo
  /usr/share/locale/sr@latin/LC_MESSAGES/kio_videodvd.mo

Comment 1 Andre Robatino 2013-05-16 06:40:03 UTC
Automatic blocker by https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers : "File conflicts between two packages on the DVD image without an explicit Conflicts: tag (failures of QA:Testcase_Mediakit_FileConflicts)"

Comment 2 Than Ngo 2013-05-16 08:22:50 UTC
it's fixed in kde-l10n-4.10.3-2

Comment 3 Fedora Update System 2013-05-16 09:41:08 UTC
kde-l10n-4.10.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-l10n-4.10.3-2.fc19

Comment 4 Fedora Update System 2013-05-16 17:22:11 UTC
Package kde-l10n-4.10.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-l10n-4.10.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8348/kde-l10n-4.10.3-2.fc19
then log in and leave karma (feedback).

Comment 5 Andre Robatino 2013-05-17 08:04:24 UTC
No file conflicts in 19 Beta RC2.

Comment 6 Kevin Kofler 2013-05-17 11:57:31 UTC
Unfortunately, the fix is not complete. (Well, it is probably "complete" enough to fix the blocker, but it is not anywhere near complete to fix the real problem.)

We need to remove all the extragear (and playground etc.) stuff, not only the small list here. There's a lot more extragear stuff in the repos which is not on the ISOs, and upstream's kde-l10n-Serbian-4.10.3 tarball accidentally includes ALL extragear, playground etc. translations for the sr@* locales.

Comment 7 Fedora Update System 2013-05-22 01:58:49 UTC
kde-l10n-4.10.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-05-24 22:35:15 UTC
kde-l10n-4.10.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-l10n-4.10.3-3.fc19

Comment 9 Fedora Update System 2013-05-26 03:37:00 UTC
kde-l10n-4.10.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.